html, body {
    font-size: 14px;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI","Roboto","Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
}

.container { max-width: 980px; }
.text-small { color: #AFB2BB; font-size: 0.85rem; font-weight: 300; }

.btn-outline-primary { border-width: 1px; border-color: #D2D2D3; color: #0366d6; }
.btn-outline-primary:hover { color: #fff; background-color: #0366d6; border-color: #0366d6; }

.btn, .form-control { border-radius: 2px; }

.navbar, .navbar-nav { border-radius: 0; }

/**
 * Header
 */

header.navbar {
    min-height: 50px;
    margin: 0;
    background-color: #F5F5F5;
    color: #444;
    border-width: 0;
}

header.navbar .navbar-brand { padding: 0 30px 0 0; }
header.navbar .navbar-brand svg { height: 50px; border:none; }
header.navbar a.navbar-brand { text-decoration: none; }
.landing header, .search header { position: absolute; top: 0; left: 0; display: block; width: 100%; }
.landing header .navbar-search, .search header .navbar-search { display: none; }

header.navbar li>a { color: #444; }

@media all and (max-width: 768px) {
    header.navbar { text-align: center; }
    header.navbar .navbar-brand { float: none; padding: 0;}
    header.navbar .nav-pills li { float: none; display: inline-block; }
}


/**
 * Jumbotron
 */

.jumbotron {
    background-color: white;
    margin: 2em 0 0 0; padding-top: 100px;
    text-align: center;
    /* border-bottom: 1px solid #EAEAEA; */
}

.jumbotron .search { max-width: 700px; margin: 20px auto;}
.jumbotron .search .form-control { border-top-left-radius: 2px; border-bottom-left-radius: 2px; }
.jumbotron .search .btn { border-top-right-radius: 2px; border-bottom-right-radius: 2px; }

/**
 * Hero
 */

.hero {
    max-width: 700px;
    margin: 0 auto;
    padding: 2rem 0.5rem;
    text-align: center;
}

.hero h1 {
    font-size: 3.5rem;
    font-weight: 300;
    line-height: 1.2;
}

.hero p {
    font-size: 1.25rem;
    font-weight: 300;
    margin-bottom: 1rem;
    color: #777;
}

/**
 * Search
 */

.search-stats {
    text-align: left;
    color: #808080;
}

/**
 * Tabs
 */

.tabs { background-color: #F9F9F9; text-align: center; }
.tabs.navbar .navbar-nav {
    display: inline-block;
    float: none;
    vertical-align: top;
}

.tabs.navbar .navbar-nav a { color: #999; }
.tabs.navbar .navbar-nav a:hover { opacity: 0.75; }
.tabs.navbar .navbar-nav .tab-icon {
    vertical-align: text-bottom;
    color: rgba(27,31,35,0.3);
    fill: currentColor;
}

.tabs.navbar .navbar-nav .active a {
    background-color: transparent;
    font-weight: 500;
    color: #444;
}

.tabs.navbar .navbar-nav .active a .tab-icon {
    color: inherit;
}

/**
 * Content
 */

content { margin: 20px 0; display: block; }
.content-title { margin: 20px 0; display: block; font-size: 1.4rem; font-weight: 400; }
.resource-item:hover,
.resource-commit-item:hover { background-color: #F7FBFF; border-color: #dae5ff; }

.mini-section-header {
    font-size: 1rem;
    margin: 0;
    padding: -5px 0 0 0;
    color: #5A6067;
    line-height: 16px;
    font-weight: 400;
}

.mini-section-header a { color: inherit; }

/**
 * Content > Results
 */

.results .resources-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

.results .resource-item {
    margin: 12px 0;
    background-color: #FFF;    
    border: 1px solid #dadada;
    box-shadow: #DADADA 0 1px 2px 0;
}


.results .resource-item .row { margin: 0; padding: 14px 0; }
.results .resource-item h3 { margin: 0; padding: 0; font-size: 1rem; line-height: 20px; font-weight: 700; }
.results .resource-item h3 a { color: inherit; }

.results .resource-metadata { font-size: 0.95rem; display: block; }
.results .resource-metadata a, .resource-metadata span { color: inherit; display: block; }

.results .resource-commit::before,
.results .resource-time::before {
    content: " ";
    width: 16px; height: 16px;
    margin-top: 1px;
    margin-right: 3px;
    float: left;
    background-repeat: no-repeat;
}

.resource-commit::before { background-image: url(../img/git-merge.svg); }
.resource-time::before { background-image: url(../img/time-past.svg); }

.results .load-more { margin-top: 20px; text-align: center; }

.results .load-more a {
    padding-left: 20px;
    padding-right: 20px;
    display: inline-block;
}

/**
 * Resources > Commits
 */

.resource-commits h3,
.resource-commits h4 {
    font-size: 1rem;
    margin: 0; padding: 0;
}

.resource-commits-list,
.resource-commits-daylist {
    list-style: none;
    margin: 0; padding: 0;
}

.resource-commits-daylist {
    border-left: 2px solid #EFF1F3;
    margin: 0; padding: 12px 0 18px 25px;
}

.resource-commits h3 {
    background-image: url(../img/git-commit.svg);
    background-repeat: no-repeat;
    margin: 0 0 0 -6px; padding: 0 0 0 32px;
    color: #5A6067;
    line-height: 16px;
    font-weight: 400;
}

.resource-commit-item {
    background-color: #FFF;    
    border: 1px solid #dadada;
    border-bottom-width: 0;
    padding: 10px 0 8px 10px;
}

.resource-commit-item:last-child {
    border-bottom-width: 1px;
}

.resource-commits .resource-commit-item h4 {
    color: #464D54;
    margin-top: 3px;
    font-size: 1rem;
    font-weight: 600;
}

.resource-commits .resource-commit-item h4 a { color: inherit; }

.resource-commit-actions { text-align: right; padding-right: 30px; }
.resource-commit-actions .btn-tease-commit { width: 85px; }


/**
 * Resources > Commits
 */

.resource-activity-list {
    margin: 0;
    padding: 0;
}

.resource-activity li {
    margin: 0 0 0 25px;
    padding: 0;
    position: relative;
}

/**
 * Resources > Content
 */

.file {
    position: relative;
    margin-top: 16px;
    margin-bottom: 16px;
    border: 1px solid #ddd;
    border-radius: 2px;
}

.file-header {
    padding: 5px 10px;
    background-color: #fafbfc;
    border-bottom: 1px solid #e1e4e8;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}

.file-info {
    font-family: "SFMono-Regular",Consolas,"Liberation Mono",Menlo,Courier,monospace;
    font-size: 12px;
    line-height: 32px;
}

.file-actions {
    float: right;
    font-size: 13px;
    line-height: 32px;
    color: #586069;
}

.file-actions a { padding-right: 4px; color:inherit; } 

.file-info-divider {
    display: inline-block;
    width: 1px;
    height: 18px;
    margin-right: 8px;
    margin-left: 8px;
    vertical-align: middle;
    background-color: #ddd;
}

.file-raw {
    overflow-x: auto;
    overflow-y: hidden;
}

.file-line-container {
    min-width: 100%;
}

.file-line-num {
    width: 1%;
    min-width: 50px;
    padding-right: 10px;
    padding-left: 10px;
    font-family: "SFMono-Regular",Consolas,"Liberation Mono",Menlo,Courier,monospace;
    font-size: 12px;
    line-height: 20px;
    color: rgba(27,31,35,0.3);
    text-align: right;
    white-space: nowrap;
    vertical-align: top;
    /* cursor: pointer; */
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.file-line-inner {
    overflow: visible;
    font-family: "SFMono-Regular",Consolas,"Liberation Mono",Menlo,Courier,monospace;
    font-size: 12px;
    color: #24292e;
    word-wrap: normal;
    white-space: pre;
    position: relative;
    padding-right: 10px;
    padding-left: 10px;
    line-height: 20px;
    vertical-align: top;
}

.file-line-status {
    padding-right: 10px;
    padding-left: 10px;
    width: 20px;
}

.file-line-addition {
    background-color: #cdffd8;
    border-color: #bef5cb;
}

.file-line-deletion {
    background-color: #ffdce0;
    border-color: #fdaeb7;
}

.file-line-chunk {
    padding-top: 4px;
    padding-bottom: 4px;
    background-color: #f1f8ff;
    border-width: 1px 0;
    color: rgba(33,33,33,0.5);
}

.file-line-loading {
    height: 200px;
    padding-top: 68px;
    background: #fafbfc;
    width: 100%;
    text-align: center;
}

.file-line-loading .lds-ring {
    display: inline-block;
    position: relative;
    width: 64px;
    height: 64px;
}

.file-line-loading .lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 51px;
    height: 51px;
    margin: 6px;
    border: 6px solid #8367A2;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #8367A2 transparent transparent transparent;
  }
.file-line-loading .lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
}
.file-line-loading .lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
}
.file-line-loading .lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
}

@keyframes lds-ring {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }

/**
 * Pricing
 */

.pricing-card { 
    box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, .05);
    text-align: center;
    border: 1px solid rgba(0,0,0,.125);
    margin-bottom: 10px;
}

.pricing-card-header {
    padding: 10px 0;
    margin-bottom: 0;
}

.pricing-card-title { margin: 10px 0; }

.pricing-card-body {
    padding: 0 15px 15px 15px;
}

.pricing-card-price {
    background-color: rgba(0,0,0,.03);
    border-top: 1px solid rgba(0,0,0,.125);
    border-bottom: 1px solid rgba(0,0,0,.125);
    margin: 0 -15px 15px -15px;
    padding: 10px 0;
}